aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/distrib/pylint_code.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/distrib/pylint_code.sh')
-rwxr-xr-xtools/distrib/pylint_code.sh15
1 files changed, 12 insertions, 3 deletions
diff --git a/tools/distrib/pylint_code.sh b/tools/distrib/pylint_code.sh
index bbacd48737..013b6660eb 100755
--- a/tools/distrib/pylint_code.sh
+++ b/tools/distrib/pylint_code.sh
@@ -25,15 +25,24 @@ DIRS=(
'src/python/grpcio_testing/grpc_testing'
)
+TEST_DIRS=(
+ 'src/python/grpcio_tests/tests'
+)
+
VIRTUALENV=python_pylint_venv
+python -m virtualenv $VIRTUALENV
+
+PYTHON=$VIRTUALENV/bin/python
-virtualenv $VIRTUALENV
-PYTHON=$(realpath $VIRTUALENV/bin/python)
-$PYTHON -m pip install --upgrade pip==9.0.2
+$PYTHON -m pip install --upgrade pip==10.0.1
$PYTHON -m pip install pylint==1.6.5
for dir in "${DIRS[@]}"; do
$PYTHON -m pylint --rcfile=.pylintrc -rn "$dir" || exit $?
done
+for dir in "${TEST_DIRS[@]}"; do
+ $PYTHON -m pylint --rcfile=.pylintrc-tests -rn "$dir" || exit $?
+done
+
exit 0